Bug 17966 - TT syntax for notices - Prove that ISSUESLIP is compatible
Summary: TT syntax for notices - Prove that ISSUESLIP is compatible
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17960 17971 17973 17974 17975
Blocks: 17961 17967 19277
  Show dependency treegraph
 
Reported: 2017-01-23 13:13 UTC by Jonathan Druart
Modified: 2017-09-19 15:07 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17966: TT syntax for notices - Prove that ISSUESLIP is compatible (10.71 KB, patch)
2017-01-23 17:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17966: TT syntax for notices - Prove that ISSUESLIP is compatible (10.84 KB, patch)
2017-06-05 16:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17966: TT syntax for notices - Prove that ISSUESLIP is compatible (10.93 KB, patch)
2017-08-08 17:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17966: TT syntax for notices - Prove that ISSUESLIP is compatible (10.99 KB, patch)
2017-09-01 17:47 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-01-23 13:13:44 UTC

    
Comment 1 Jonathan Druart 2017-01-23 17:57:13 UTC
Created attachment 59450 [details] [review]
Bug 17966: TT syntax for notices - Prove that ISSUESLIP is compatible

Here we go, you will notice at the dependency list that this one is a
bit different.
In our former syntax we have 2 custom tags <checkedout> and <overdue>.
These tags were allowed to permit loop on the checked out items and the
overdue items.

In this patch, we will use the "loops" parameter, introduced by bug
17971, to pass the list of checkouts and overdues to the template.

Note that Kyle suggested another approach on bug 15283: all the
checkouts were send into the same array and each element of this
array calls the is_from_today method, to know if the checkout is an
overdue.
I don't think we should rely on the Koha API, that's why I suggest to
pass 2 differents object list, 1 which contains the checkouts and
another one with the overdues.
Note that we do rely on the Koha API, we call the Koha::Checkout->item
and Koha::Item->biblio to propose an equivalent TT notice. But I think
we can accept that.

Test plan:
Define the ISSUESLIP and ISSUEQSLIP notice templates to generate the
same notices you generated with the historical syntax.
Comment 2 Jonathan Druart 2017-01-23 18:09:38 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2017-06-05 16:14:28 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2017-06-05 16:41:20 UTC
Created attachment 63975 [details] [review]
Bug 17966: TT syntax for notices - Prove that ISSUESLIP is compatible

Here we go, you will notice at the dependency list that this one is a
bit different.
In our former syntax we have 2 custom tags <checkedout> and <overdue>.
These tags were allowed to permit loop on the checked out items and the
overdue items.

In this patch, we will use the "loops" parameter, introduced by bug
17971, to pass the list of checkouts and overdues to the template.

Note that Kyle suggested another approach on bug 15283: all the
checkouts were send into the same array and each element of this
array calls the is_from_today method, to know if the checkout is an
overdue.
I don't think we should rely on the Koha API, that's why I suggest to
pass 2 differents object list, 1 which contains the checkouts and
another one with the overdues.
Note that we do rely on the Koha API, we call the Koha::Checkout->item
and Koha::Item->biblio to propose an equivalent TT notice. But I think
we can accept that.

Test plan:
Define the ISSUESLIP and ISSUEQSLIP notice templates to generate the
same notices you generated with the historical syntax.
Comment 5 Kyle M Hall 2017-08-08 17:56:11 UTC
Created attachment 65683 [details] [review]
Bug 17966: TT syntax for notices - Prove that ISSUESLIP is compatible
Comment 6 Kyle M Hall 2017-09-01 17:47:12 UTC
Created attachment 66773 [details] [review]
Bug 17966: TT syntax for notices - Prove that ISSUESLIP is compatible

Here we go, you will notice at the dependency list that this one is a
bit different.
In our former syntax we have 2 custom tags <checkedout> and <overdue>.
These tags were allowed to permit loop on the checked out items and the
overdue items.

In this patch, we will use the "loops" parameter, introduced by bug
17971, to pass the list of checkouts and overdues to the template.

Note that Kyle suggested another approach on bug 15283: all the
checkouts were send into the same array and each element of this
array calls the is_from_today method, to know if the checkout is an
overdue.
I don't think we should rely on the Koha API, that's why I suggest to
pass 2 differents object list, 1 which contains the checkouts and
another one with the overdues.
Note that we do rely on the Koha API, we call the Koha::Checkout->item
and Koha::Item->biblio to propose an equivalent TT notice. But I think
we can accept that.

Test plan:
Define the ISSUESLIP and ISSUEQSLIP notice templates to generate the
same notices you generated with the historical syntax.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

https://bugs.koha-community.org/show_bug.cgi?id=17969

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Jonathan Druart 2017-09-01 20:19:27 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-09-19 15:07:43 UTC
Enhancement not pushed to 17.05.x